PHP8 cli image compatible with gitea act-runner
-----------------------------------------------

* [Demo Gitea repository with Act Runner](https://code.fossee.net/chicory/package-template)
* [DockerHub](https://hub.docker.com/r/ch1c0ry/php8-cli-actrunner)

Workflow example:
```yaml
name: Run code tests
run-name: Run code tests
on: 
    push:
    workflow_dispatch:

jobs:
    Run-code-test:
        container:
            image: "ch1c0ry/php8-cli-actrunner:latest"
        steps:
            - name: Check out repository code
              uses: actions/checkout@v4

            - name: Install Composer dependencies
              uses: "https://github.com/ramsey/composer-install@v3"
              with:
                  composer-options: "--optimize-autoloader"

            - name: Check code style
              run: |
                  composer run code-style-check                  

            - name: Run analyzer
              run: |
                  composer run analyze-code                  

            - name: Run unit tests
              run: |
                  composer run run-unit-tests 
```